| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
Ogre::VertexBoneAssignment_s Struct Reference
Core » Animation

Records the assignment of a single vertex to a single bone with the corresponding weight. More...

`#include <OgreVertexBoneAssignment.h>`

## Public Attributes
unsigned short | boneIndex
unsigned int | vertexIndex
Real | weight

## Detailed Description

Records the assignment of a single vertex to a single bone with the corresponding weight.

Remarks
  This simple struct simply holds a vertex index, bone index and weight representing the assignment of a vertex to a bone for skeletal animation. There may be many of these per vertex if blended vertex assignments are allowed.

## Member Data Documentation

## ◆ vertexIndex

unsigned int Ogre::VertexBoneAssignment_s::vertexIndex

## ◆ boneIndex

unsigned short Ogre::VertexBoneAssignment_s::boneIndex

## ◆ weight

Real Ogre::VertexBoneAssignment_s::weight

The documentation for this struct was generated from the following file:

- OgreVertexBoneAssignment.h